from twisted.trial.unittest import TestCase
from twisted.python.failure import Failure
from tada import Tada

class MySQLTest(TestCase):
    """
    This TestCase has the following requirements:
        MySQL:
            a database named 'test' that this script can access without username/password
    """

    def test_ConnectFail(self):
        return Tada("MySQLdb").connect(db="tst").addErrback(lambda _: True)

    def test_ConnectPass(self):
        return Tada("MySQLdb").connect(db="test")

    def test_GetCursor(self):
        def gotCursor(cursor):
            from MySQLdb.cursors import Cursor
            self.assertEquals(cursor.__tada_cursor__.__class__,Cursor)
            return True
        def gotConnection(connection):
            return connection.cursor().addCallback(gotCursor)
        return Tada("MySQLdb").connect(db="test").addCallback(gotConnection)

